stone = 30 # 石の総数
min = 2 # 取る石の最小値
max = 4 # 取る石の最大値

# ゲーム説明の表示。\をプログラムの途中で書くと複数行に書ける。
print('交互に' + str(min) + '-' + str(max) + \
    '個の石をとっていき、最後の石をとったほうが負けです。')

# 石が残っているかどうかチェックする関数＝勝敗を見る関数
# playerは手番（youのときはあなた）を示す
# stoneCountは石の総数、引数stoneを与える
def checkStone(player, stoneCount):
    # 石の総数が0以下なら負け。
    if (stoneCount <= 0):
        if (player == 'you'): # 0以下のときのプレイヤーがあなたかどうか。
            print('あなたの負けです...')
        else:
            print('素晴らしい! あなたの勝ちです.')
        return True # 勝敗がついたらTrueを返す。
    else:
        return False # 勝敗がついていなければFalseを返す。

# あなたが石を取る関数
def getYou():
    global stone # 関数の外の変数stoneを操作するために必要な命令
    your = int(input('あなたはいくつ取りますか? '))
    # ゲームで指定した最小値、最大値か確認する。
    if (your < min or your > max):
        print('それはダメ!')
        return False # ここでは操作が完了しなければFalseを返して関数の実行は中断（returnの効果）
    stone -= your # 石の総数から選択した数を抜き取る
    print('あなたは ' + str(your) + ' 個とりました.')
    return True # ここでは操作が無事に完了すればTrueを返す。

# 私（コンピューター）が石を取る関数
def getMe():
    global stone # 関数の外の変数stoneを操作するために必要な命令
    mine = (stone - min) % (min + max) # 私がとる石を算出
    if (mine < min):
        mine = min # 算出した値が最小値より小さければ値を最小値に変更
    if (mine > max):
        mine = max # 算出した値が最大値より大きければ値を最大値に変更

    print('私は ' + str(mine) + ' 個とります.')
    stone -= mine # 石の総数から選択した数を抜き取る

# このプログラムの本体
# 石が0個になるまで続ける
while(stone > 0):

    # あなたの手番-------------------------------------------------------
    print(str(stone) + ' 個 残っています.') # 石の数を表示

    # あなたの石を取る関数の操作をして結果がFalseか確認してFalseなら実行
    if (getYou() == False):
        continue # 先頭に戻る

    # 石の総数をチェック
    if (checkStone('you', stone)):
        break # whileのループを終了する

    # コンピューターの手番-----------------------------------------------
    print(str(stone) + ' 個 残っています.') # 石の数を表示

    # コンピューターの石を取る関数
    getMe()

    # 石の総数をチェック
    if (checkStone('me', stone)):
        break

print('--おしまい.')

