import io # 疑似的にファイルのようなものをつくって処理に用いる

from pdfminer.pdfpage import PDFPage # pdfminer.sixをインストールしておく
from pdfminer.pdfinterp import PDFResourceManager, PDFPageInterpreter
from pdfminer.pdfdevice import PDFDevice
from pdfminer.layout import LAParams
from pdfminer.converter import TextConverter

fake_io = io.BytesIO() # 疑似ファイル

# PDF処理に関する設定をまとめて行う
rsrcmgr = PDFResourceManager()
laparams = LAParams()
device = TextConverter(rsrcmgr, fake_io, codec='utf-8', laparams=laparams)
interpreter = PDFPageInterpreter(rsrcmgr, device)
pdfdoc = open('./4-6.pdf', 'rb')

# PDFを処理していく
for page in PDFPage.get_pages(pdfdoc):
      interpreter.process_page(page)
pdfdoc.close()

text = fake_io.getvalue().decode('utf-8')
fake_io.close()

print(text)

