from http.server import BaseHTTPRequestHandler, HTTPServer

with open('index.html', mode='r') as f:
    index = f.read()
with open('sample.html', mode='r') as f:
    sample = f.read()

class HelloServerHandler(BaseHTTPRequestHandler):
    def do_GET(self):
        self.send_response(200)
        self.end_headers()
        if (self.path == '/'):
            self.index()
        elif (self.path == '/sample'):
            self.sample()
        else:
            self.other()

    def index(self):
        self.wfile.write(index.encode('utf-8'))
        return

    def sample(self):
        html = sample.format(
            title='サンプル', 
            header='サンプルページ',
            message='これは、サンプルのメッセージです。'
        )
        self.wfile.write(html.encode('utf-8'))
        return
    
    def other(self):
        self.wfile.write(b'NO-PAGE!!!')
        return

HTTPServer(('',8000), HelloServerHandler).serve_forever()

