from urllib.parse import urlparse, parse_qs
from http.server import BaseHTTPRequestHandler, HTTPServer

with open('index.html', mode='r') as f:
    index = f.read()
with open('sample.html', mode='r') as f:
    sample = f.read()

class HelloServerHandler(BaseHTTPRequestHandler):
    def do_GET(self):
        _urldata = urlparse(self.path)
        _querydata = parse_qs(_urldata.query)
        self.send_response(200)
        self.end_headers()
        if (_urldata.path == '/'):
            self.index()
        elif (_urldata.path == '/sample'):
            self.sample(_querydata)
        else:
            self.other()

    def index(self):
        self.wfile.write(index.encode('utf-8'))
        return

    def sample(self, params):
        if 'id' in params:
            _id = params['id'][0]
        else:
            _id = 'no id.'
        if 'pass' in params:
            _pass = params['pass'][0]
        else:
            _pass = 'no pass.'
        _data = '<div>ID: ' + _id + '</div>' \
            '<div>PASS: ' + _pass + '</div>'
        html = sample.format(
            title='サンプル', 
            header='サンプルページ',
            message='これは、サンプルのメッセージです。' + _data
        )
        self.wfile.write(html.encode('utf-8'))
        return
    
    def other(self):
        self.wfile.write(b'NO-PAGE!!!')
        return

HTTPServer(('',8000), HelloServerHandler).serve_forever()

