from cgi import FieldStorage
from html import unescape
from urllib.parse import urlparse, parse_qs, unquote
from http.server import BaseHTTPRequestHandler, HTTPServer

with open('index.html', mode='r') as f:
    index = f.read()
with open('sample.html', mode='r') as f:
    sample = f.read()

class HelloServerHandler(BaseHTTPRequestHandler):
    def do_GET(self):
        _urldata = urlparse(self.path)
        _querydata = parse_qs(_urldata.query)
        self.send_response(200)
        self.end_headers()
        if (_urldata.path == '/'):
            self.index()
        else:
            self.other()

    def do_POST(self):
        _urldata = urlparse(self.path)
        self.send_response(200)
        self.end_headers()
        if (_urldata.path == '/form'):
            form = FieldStorage(
                fp=self.rfile,
                headers=self.headers,
                environ={'REQUEST_METHOD':'POST'})
            if 'str' in form:
                s = unescape(form['str'].value)
            else:
                s= 'no-data.'
            html = sample.format(
                title='サンプル',
                header='送信されたフォーム',
                message='送信されたフォームの値：' + s
            )
            self.wfile.write(html.encode('utf-8'))
        else:
            self.wfile.write(b'CANNOT-POSTED')
        return

    def index(self):
        self.wfile.write(index.encode('utf-8'))
        return

    def other(self):
        self.wfile.write(b'NO-PAGE!!!')
        return

HTTPServer(('',8000), HelloServerHandler).serve_forever()

