import numpy as np
import tensorflow as tf
from tensorflow import keras

mnist = keras.datasets.mnist

(X_train, Y_train),(X_test, Y_test) = mnist.load_data()
X_train, X_test = X_train / 255.0, X_test / 255.0


model = keras.models.Sequential([
  keras.layers.Flatten(input_shape=(28, 28)),
  keras.layers.Dense(10, activation=tf.nn.softmax)
])


# モデルのコンパイル
model.compile(optimizer=tf.compat.v1.train.AdamOptimizer(),
    loss='sparse_categorical_crossentropy',
    metrics=['accuracy'])

# モデルの学習
model.fit(X_train, Y_train, epochs=1)
# モデルの評価
loss, acc = model.evaluate(X_test, Y_test)

print('loss:', loss)
print('accuracy:', acc)

# 予測の実行
predictions = model.predict(X_test)

# 結果の出力
for i in range(10):
  print("{} ([{}], {:0.1f}%)".format(np.argmax(predictions[i]), Y_test[i], max(predictions[i])*100))
        
