from sklearn.datasets import load_iris
from sklearn.model_selection import train_test_split
from sklearn.neighbors import KNeighborsClassifier
from sklearn.metrics import accuracy_score


iris = load_iris()
X_train, X_test, Y_train, Y_test = train_test_split(iris.data, iris.target, test_size=0.25)

# 学習モデルの作成
model = KNeighborsClassifier(n_neighbors=5)
# モデルの学習
model.fit(X_train, iris.target_names[Y_train])

pred = model.predict(X_test)

print(accuracy_score(iris.target_names[Y_test], pred))
