from sklearn.datasets import load_iris
from sklearn.model_selection import train_test_split
from sklearn.linear_model import Perceptron
from sklearn.metrics import accuracy_score

# データ読み込み 
iris = load_iris()
# データの分割
X_train, X_test, Y_train, Y_test = train_test_split(iris.data, iris.target, test_size=0.25)

# 学習モデルの作成
model = Perceptron(max_iter=1000, tol=0.2)
# モデルの学習
model.fit(X_train, iris.target_names[Y_train])
# 予測の実行
pred = model.predict(X_test) 

print(accuracy_score(iris.target_names[Y_test], pred))
